org.apache.olingo.odata2.api.processor

## Class ODataRequest

- java.lang.Object
- - org.apache.olingo.odata2.api.processor.ODataRequest

-     public abstract class ODataRequest
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ODataRequest.ODataRequestBuilder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ODataRequest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ODataRequest.ODataRequestBuilder` | `acceptableLanguages(List<Locale> acceptableLanguages)`
    `static ODataRequest.ODataRequestBuilder` | `acceptHeaders(List<String> acceptHeaders)`
    `static ODataRequest.ODataRequestBuilder` | `allQueryParameters(Map<String,List<String>> allQueryParameters)`
    `static ODataRequest.ODataRequestBuilder` | `body(InputStream body)`
    `static ODataRequest.ODataRequestBuilder` | `contentType(String contentType)`
    `static ODataRequest.ODataRequestBuilder` | `fromRequest(ODataRequest request)`
    `abstract List<Locale>` | `getAcceptableLanguages()`
    `abstract List<String>` | `getAcceptHeaders()`
    `abstract Map<String,List<String>>` | `getAllQueryParameters()`
    `abstract InputStream` | `getBody()`
    `abstract String` | `getContentType()`
    `abstract String` | `getHttpMethod()`
    `abstract ODataHttpMethod` | `getMethod()`
    `abstract PathInfo` | `getPathInfo()`
    `abstract Map<String,String>` | `getQueryParameters()`
    `abstract Map<String,List<String>>` | `getRequestHeaders()`
    `abstract String` | `getRequestHeaderValue(String name)`
    `static ODataRequest.ODataRequestBuilder` | `method(ODataHttpMethod method)`
    `static ODataRequest.ODataRequestBuilder` | `newBuilder()`
    `static ODataRequest.ODataRequestBuilder` | `pathInfo(PathInfo pathInfo)`
    `static ODataRequest.ODataRequestBuilder` | `queryParameters(Map<String,String> queryParameters)`
    `static ODataRequest.ODataRequestBuilder` | `requestHeaders(Map<String,List<String>> headers)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ODataRequest

          public ODataRequest()

  - ### Method Detail

    - #### getRequestHeaderValue

          public abstract String getRequestHeaderValue(String name)

    - #### getRequestHeaders

          public abstract Map<String,List<String>> getRequestHeaders()

    - #### getBody

          public abstract InputStream getBody()

    - #### getPathInfo

          public abstract PathInfo getPathInfo()

    - #### getMethod

          public abstract ODataHttpMethod getMethod()

    - #### getHttpMethod

          public abstract String getHttpMethod()

    - #### getAcceptableLanguages

          public abstract List<Locale> getAcceptableLanguages()

    - #### getContentType

          public abstract String getContentType()

    - #### getAcceptHeaders

          public abstract List<String> getAcceptHeaders()

    - #### getQueryParameters

          public abstract Map<String,String> getQueryParameters()

    - #### getAllQueryParameters

          public abstract Map<String,List<String>> getAllQueryParameters()

    - #### requestHeaders

          public static ODataRequest.ODataRequestBuilder requestHeaders(Map<String,List<String>> headers)

    - #### body

          public static ODataRequest.ODataRequestBuilder body(InputStream body)

    - #### pathInfo

          public static ODataRequest.ODataRequestBuilder pathInfo(PathInfo pathInfo)

    - #### method

          public static ODataRequest.ODataRequestBuilder method(ODataHttpMethod method)

    - #### acceptableLanguages

          public static ODataRequest.ODataRequestBuilder acceptableLanguages(List<Locale> acceptableLanguages)

    - #### contentType

          public static ODataRequest.ODataRequestBuilder contentType(String contentType)

    - #### acceptHeaders

          public static ODataRequest.ODataRequestBuilder acceptHeaders(List<String> acceptHeaders)

    - #### queryParameters

          public static ODataRequest.ODataRequestBuilder queryParameters(Map<String,String> queryParameters)

    - #### allQueryParameters

          public static ODataRequest.ODataRequestBuilder allQueryParameters(Map<String,List<String>> allQueryParameters)

    - #### fromRequest

          public static ODataRequest.ODataRequestBuilder fromRequest(ODataRequest request)

    - #### newBuilder

          public static ODataRequest.ODataRequestBuilder newBuilder()

      Returns:
        returns a new builder object

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.